;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; For a set level, Enables moving left but not right for Mario, vice versa for Luigi.
;; Recommended to use with the "Two players only" patch. Made by MrCheeze, thanks to
;; Schwa's ASM tutorial. Credit if used.
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

			Level = $28	; Subtract DC if 100 or above 

			PHB
			PHK
			PLB
			JSR MainCode
			PLB
			RTL

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; Main
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

MainCode:		LDA $0DD6	; \ Check whether Mario or Luigi
			CMP #$04	; |
			BEQ Luigi	; /

Mario:			LDX #Level	; \ Load current level setting flags for set level
			LDA $1EA2,x	; /
			AND #$FE	; Disable moving right
			ORA #$02	; Enable moving left
			STA $1EA2,x	; Store new level setting flags for set level
			RTS		; Return

Luigi:			LDX #Level	; \ Load current level setting flags for set level
			LDA $1EA2,x	; /
			AND #$FD	; \Disable moving left
			ORA #$01	; /Enable moving right
			STA $1EA2,x	; Store new level setting flags for set level
			RTS		; Return